GTLoader - 高铁统一加载
=

1.开始加载 
-
```java
/* Activity加载 */
GTLoader.bindActivity(this).onStart((loader, status) -> {
    // TODO data request
    if (success) {
        loader.succeed();
    } else {
        loader.fail();
    }
}).load();
/* View加载 */
GTLoader.bindView(imgView).onStart((loader, status -> {
    // TODO data request

    /* 加载成功 */
    loader.succeed();
})).load();
```

2.加载失败处理
-
```java
/* 加载失败 */
loader.fail(); // 只显示失败图片
loader.fail("网络请求失败"); // 只显示失败图片与失败原因
loader.fail("网络请求失败", "点击重试"); // 显示失败图片与失败原因、Button
```

3.重试的监听
-
```java
GTLoader.bindActivity(this)
    .onRetry((loader, status) -> {
        // TODO data request
        if (success) {
            loader.succeed();
        } else {
            loader.fail(failReason, "点击重试");
        }
    })
    ...
    .load();
```

4.TitleBar处理
-
```java
GTLoader
    .bindActivity(this)
    .titleBar(GTLoader.TitleBarStatus.WHITE, "高铁周边游")
    ...
    .load();
```
5.自定义LoadingView，FailView
-
```java
GTLoader
    .bindActivity(this)
    .loadingView(new AbsGTLoaderView(context){
        /* override for your own logic */
    })
    .failView(new AbsGTLoaderFailedView(context) {
        /* override for your own logic */
    })
    ...
    .load();
```